Initiate a card

Initiate a request to create a new card and mail it to a customer. See card object definition for parameter details.

Error Codes

Click to expand
CodeMessage (en-US)Notes
1-60000Any "Common Error Code" may occur.See Common Error Codes
63502Requesting customer does not have 'FULL' access to account id ’42031914'.
150201TypeCode {request.typeCode} is not valid. Must be "DBT" or "CDT".
150202VendorTypeCode {request.vendorTypeCode} is not valid. Must be "VS" or "MC".
150203NameOnCard is a required field.
150204Tag {request.tag} is already associated with another card.
150205Invalid Card Holder CustomerId {request.cardHolderCustomerid}.
150206Assigned Customer {request.cardHolderCustomerid} status is '{customer.status}.' Must be 'Initiated,' 'Manual Review,' or 'Verified'.
150208Invalid Primary AccountId {request.primaryAccountId}.
150209Primary AccountId {request.primaryAccountId} is in invalid status of {1}. Must be Open or PendingOpen.
150210Primary AccountId {request.primaryAccountId} must be a Checking or Savings account.
150211Insufficient access type {account.accessTypeCode} for CustomerId {request.cutomerid} to Primary AccountId {request.primaryAccountId} to add a card. FULL is required.
150212A Primary Account must be specified.
150213Both FirstName and LastName are required.
150230Another card for CustomerId {request.customerId} is using NickName of {request.nickName}. NickName must be unique.
150231The primary customer {request.customerId} must have its Mobile or Home phone specified prior to creating a card.
150232The primary customer {request.customerId} must have its Mailing or Residence address specified prior to creating a card.
150240FirstName ({request.firstName}) contains invalid characters. Refer to API documentation for valid characters.For programs using Shazam
150241MiddleName ({request.middleName}) contains invalid characters. Refer to API documentation for valid characters.For programs using Shazam
150242LastName ({request.lastName}) contains invalid characters. Refer to API documentation for valid characters.For programs using Shazam
150243Card Bin {request.binId} is not valid.
150244Program id {0} requires BankBinId to be specified.
150245Program id {0} does not have a valid bin set up.
150246FirstName ({request.firstName}) contains invalid characters. Refer to API documentation for valid characters.For programs using Visa DPS
150247MiddleName ({request.middleName}) contains invalid characters. Refer to API documentation for valid characters.For programs using Visa DPS
150248LastName ({request.lastName}) contains invalid characters. Refer to API documentation for valid characters.For programs using Visa DPS
150249Invalid value set for the IsPhysicalCardOrdered, value must be true to order physical card
155518DPS Validation Response: ({0}).

For programs using Visa DPS

Example validation responses:

- US zip code must be a valid zip code format
- Card Qualifier must be a valid value for the institution
- US Social Security Number is invalid

201001Customer mailing address {0} cannot contain a PO Box.
201000Customer mailing address not available
Body Params
int32
required
≥ 1
int32
required
≥ 1
string
enum
required
  • VS: Visa
  • MC: Mastercard
Allowed:
string
enum
  • DBT: Debit
  • GFT: Gift
  • GPR: General Purpose Prepaid
Allowed:
int32
required
≥ 1
string
required
length ≤ 64
string
length ≤ 64
string
required
length ≤ 128
string
required
length ≤ 50
string
length ≤ 50
string
length ≤ 3
int32
≥ 1
string

For Shazam programs only. Visa DPS programs must call the /card/resetPin endpoint separately. For physical-only cards, /card/resetPin can be called once the card moves from status=Initiated to status=Verified. For dual-issuance cards (physical and digital), /card/resetPin can be called once the card moves from status=Initiated to status=DigitalActivePhysicalPending.

boolean
Defaults to false

true if this card will be an instant-issued debit card ready for eCommerce activity that can also be provisioned to a digital wallet. If true the card will be created with a status of DitalActivePhysicalInitiated which will shortly change to DigitalActivePhysicalPending. When card is in DigitalActivePhysicalInitiated or DigitalActivePhysicalPending it can be provisioned into a digital wallet via /card/provision/applePay or /card/provision/googlePay. When card is in DigitalActivePhysicalPending it will need to be verified via /card/verify before a customer can use the physical card.

boolean
Defaults to true

true to order a physical card, false to waive.

int32
≥ 1

The Helix-assigned unique ID for the customer requesting to create a new card for a business cardholder

string
length ≤ 6

Identifier used uniquely by various card production facilities for mapping card configurations

string
length ≤ 16

Identifier used uniquely by various card production facilities for mapping card configurations

string
length ≤ 50

Identifier used uniquely by various card production facilities for mapping card configurations

string
length ≤ 18

Identifier used uniquely by various card production facilities for mapping card configurations

boolean

Card order indicator to have physical card expedited by the card print vendor.

boolean

Identifier to allow program to waive any program fee for expedited card request.

boolean

When true, the applicable card creation fee is waived rather than charged to the customer. When omitted or false, existing fee behavior is unchanged.

Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json